<template>
  <div class="">產品列表修改</div>
</template>
<script>
export default {
  name: "Edit",
  data() {
    return { data: [] };
  },
  mounted() {
    this.getList();
  },
  methods: {
    getList() {
      apiProductsList()
        .then((res) => {
          let langChang = localStorage.getItem("i18nLang");
          if (langChang === "tw") {
            langChang = "0";
          } else if (langChang === "de") {
            langChang = "1";
          } else if (langChang === "en") {
            langChang = "2";
          } else if (langChang === "jp") {
            langChang = "3";
          }

          this.productList = res.data.data;
          let productsData = this.productList.data;
          let productListCount = Object.keys(this.productList.data).length;

          for (let i = 1; i <= productListCount; i++) {
            if (productsData[i].lang_id == langChang) {
              this.langProductList.push(productsData[i]);
            }
          }
        })
        .catch((err) => {
          console.log(err);
        });
    },
  },
};
</script>
